<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>S10: CSS Common Positioning Property</title>

	<!-- External CSS-->
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Positioning</h2>

	<div class="parent-element">
	Parent element

		<div class="child-one">
			I'm the child one element
		</div>

		<div class="child-two">
			All eyes on me. I'm the child two element
		</div>

		<div class="child-three">
			I'm the child three element
		</div>
	</div>

	<!--Z-index Property-->
	<h2>Z-index Example</h2>

	<p>An element with greater stack order is always above an
	element with a lower stack order.</p>

	<div class="container">
		<div class="black-box">Blackbox (z-index:1)</div>
		<div class="gray-box">Graybox (z-index:3)</div>
		<div class="green-box">Greenbox (z-index:2)</div>
		
	</div>


	<h3>Float</h3>

	<p>
		The float property is used for positioning properties and formatting contents (e.g. let an image float left to the
		text contatiner.)
	</p>

	<p>
		<img src="https://place-puppy.com/450x450" class="img-float">
		Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
	</p>


	
</body>
</html>